Skip to main content

Add phone number and init verification process

POST/v2/user/{userId}/phone
API version
v2
Request method
POST
Operation ID
deprecated-user-service-phone-number-add

use /v2/users/{userId}/phone instead.

Request​

  • userIdstring (uuid)required

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X POST \
-d '{"phoneNumber":"string"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/user/f0f86186-0a5a-45b2-aa33-502777496347/phone
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.deprecatedUserServicePhoneNumberAdd({
"userId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {
"phoneNumber": "string"
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\User\DeprecatedUserServicePhoneNumberAdd\DeprecatedUserServicePhoneNumberAddRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\User\DeprecatedUserServicePhoneNumberAdd\DeprecatedUserServicePhoneNumberAddRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// DeprecatedUserServicePhoneNumberAddRequestBody to learn how to construct a valid instance
$body = new DeprecatedUserServicePhoneNumberAddRequestBody(/* TODO: ... */);

$request = (new DeprecatedUserServicePhoneNumberAddRequest(
userId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->user()->deprecatedUserServicePhoneNumberAdd($request);

var_dump($response->getBody();

On this page